'use client';

import { useState } from 'react';
import Navbar from '@/components/Dashboard/common/Navbar';
import Sidebar from '@/components/Dashboard/common/Sidebar';
import QuickActions from '@/components/Dashboard/patient/QuickActions';
import MedicalReports from '@/components/Dashboard/patient/MedicalReports';

import RequireAuth from '@/components/RequireAuth';

export default function PatientReports() {
  const [sidebarOpen, setSidebarOpen] = useState(false);

  return (
    <main className="p-4 space-y-6">
      <QuickActions />
      <MedicalReports />
    </main>
  );
}
